Daily stories executions statistics

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get bot steps executions stats

Response

AttributeTypeDescription
data[].typestringalways "timed_story_executions_stats"
data[].datestringdate of statistic "2019-01-24"
data[].storyIDstringthe story ID
data[].storyNamestringthe story name
data[].executionsCountintthe number of hit of the story
data[].fallbacksCountintthe number of hit of the story’s fallback step
data[].executionsPercentfloatrate of hit of the story on the total hit of stories for the day
{
    "data": [
        {
            "type": "timed_story_executions_stats",
            "storyID": "5b06d94cb76715002e6a12a6",
            "storyName": "hello world",
            "executionsCount": 2,
            "fallbacksCount": 0,
            "executionsPercent": 0.6666666667,
            "date": "2019-01-24"
        },
        {
            "type": "timed_story_executions_stats",
            "storyID": "5b06d94cb76715002e6a12a6",
            "storyName": "hello world",
            "executionsCount": 1,
            "fallbacksCount": 0,
            "executionsPercent": 1,
            "date": "2019-01-27"
        },
        {
            "type": "timed_story_executions_stats",
            "storyID": "5b06d94cb76715002e6a12a6",
            "storyName": "hello world",
            "executionsCount": 6,
            "fallbacksCount": 0,
            "executionsPercent": 0.4285714286,
            "date": "2019-01-28"
        },
        {
            "type": "timed_story_executions_stats",
            "storyID": "5c3f037a4525f0005fecd5e5",
            "storyName": "JOKE (event triggered)",
            "executionsCount": 16,
            "fallbacksCount": 0,
            "executionsPercent": 1,
            "date": "2019-01-23"
        },
        {
            "type": "timed_story_executions_stats",
            "storyID": "5c3f037a4525f0005fecd5e5",
            "storyName": "JOKE (event triggered)",
            "executionsCount": 1,
            "fallbacksCount": 0,
            "executionsPercent": 0.3333333333,
            "date": "2019-01-24"
        },
        {
            "type": "timed_story_executions_stats",
            "storyID": "5c3f037a4525f0005fecd5e5",
            "storyName": "JOKE (event triggered)",
            "executionsCount": 5,
            "fallbacksCount": 0,
            "executionsPercent": 0.3571428571,
            "date": "2019-01-28"
        }
    ]
}
Path Params
string
required

a bot ID

Query Params
string
required

define the start date of the analysis, format must be %Y-%m-%d

string
required

define the end date of the analysis, format must be %Y-%m-%d.

story_ids
array of strings

comma separated list of story IDs

story_ids
int32

number of results per page

int32
Defaults to 1

page of results

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json